Netgear Router Vulnerabilities

Original release date: June 29, 2020

Multiple Netgear router models contain vulnerabilities that a remote attacker can exploit to take control of an affected device. 

The Cybersecurity and Infrastructure Security Agency (CISA) encourages users and administrators to update to the most recent firmware version and to replace end-of-life devices that are no longer supported with security patches. Given the increase in telework, CISA recommends that CISOs consider the risk that these vulnerabilities present to business networks.

See the following products for additional information. 

This product is provided subject to this Notification and this Privacy & Use policy.

Leave a Reply